package ut.maxorato.bsc.crawler.diff;

public class QueryResult {
    public final int code;
    public final String text;
    public final String redirectLocation;
    public final String mimeType;

    public QueryResult(int code, String text, String redirectLocation, String mimeType) {
        this.code = code;
        this.text = text;
        this.redirectLocation = redirectLocation;
        this.mimeType = mimeType;
    }

    public boolean isSuccess() {
        return code == 200;
    }

    public boolean isRedirect() {
        return code == 301 || code == 302;
    }

    public boolean isFailed() {
        return !isSuccess() && !isRedirect();
    }
}
